Package: org.grails.charsequences

## [Java] Class SubCharSequence

- org.grails.charsequences.SubCharSequence

- All Implemented Interfaces and Traits:
    CharArrayAccessible, java.lang.CharSequence

      class SubCharSequence
      extends java.lang.Object
      implements CharArrayAccessible, java.lang.CharSequence

  Wraps a part of a String and implements the CharSequence interface

  Authors:
    Lari Hotari
  Since:
    2.3.10

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private int` | `count` |
    `private int` | `start` |
    `private java.lang.CharSequence` | `str` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SubCharSequence (java.lang.CharSequence str, int start, int count)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public char` | `charAt(int index)`
    `` | `public void` | `getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin)`
    `` | `public int` | `length()`
    `` | `public java.lang.CharSequence` | `subSequence(int start, int end)`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final int count

    - #### private final int start

    - #### private final java.lang.CharSequence str

  - ### Constructor Detail

    - #### SubCharSequence(java.lang.CharSequence str, int start, int count)

  - ### Method Detail

    - #### public char charAt(int index)

    - #### public void getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin)

    - #### public int length()

    - #### public java.lang.CharSequence subSequence(int start, int end)

    - #### @java.lang.Override public java.lang.String toString()